#ifndef AT_CMD_H
#define AT_CMD_H
#include <stdint.h>
typedef void (*sendmsg)(uint8_t * buf, uint32_t len);
void register_cmd_handler(sendmsg func,void *result_buf,volatile char *flag);
void SendCmd(char* cmd, uint8_t *result,uint16_t timeout);
void SentData(uint8_t* buf, uint8_t *result,uint16_t len);
#endif
